#####################################################################################
#
#		:::[  T h e   R u s s i a n   E g g d r o p  R e s o u r c e  ]::: 
#      ____                __                                                      
#     / __/___ _ ___ _ ___/ /____ ___   ___      ___   ____ ___ _     ____ __ __   
#    / _/ / _ `// _ `// _  // __// _ \ / _ \    / _ \ / __// _ `/    / __// // /   
#   /___/ \_, / \_, / \_,_//_/   \___// .__/ __ \___//_/   \_, / __ /_/   \___/    
#        /___/ /___/                 /_/    /_/           /___/ /_/                
#
#
#####################################################################################
#
# phpbb2egg.tcl v1.0
#
# Description:
#	       phpBB  .
#
#	   "-phpbb".
#
#	.chanset #channel +phpbb
#			-      
#	.chanset #channel -phpbb
#			-        
#
# Authors:  Deniska <gremlin13@ms.tusur.ru> 
#
# Special thanks to nopox for fix username getting in php script.
# 
#
# Official support: irc.eggdrop.org.ru @ #eggdrop
# 
#####################################################################################
# Last version of egglib_pub can be grabbed here:
# http://eggdrop.org.ru/scripts/egglib.zip

if { ![info exists egglib(ver)] } {
	putlog "***********************************************"
	putlog "             egglib_pub NOT FOUND !"
	putlog "   Download last version of egglib_pub here:"
	putlog "  http://eggdrop.org.ru/scripts/egglib_pub.zip"
	putlog "***********************************************"	
	die
}

if { [expr {$egglib(ver) < 1.4}] } {
	putlog "***********************************************"
	putlog " YOUR VERSION OF egglib_pub IS TOO OLD !"
	putlog "   Download last version of egglib_pub here:"
	putlog "  http://eggdrop.org.ru/scripts/egglib_pub.zip"
	putlog "***********************************************"
	putlog " version installed : $egglib(ver)"
	putlog " version required: 1.4"
	die
}

#       .
set forumname {
	{ }
#	{ 2}
#	{ 3}
	}				

namespace eval phpbb {}

#,   php    .
#   ,   php .
# readme.txt
listen 777 script ::phpbb::accept

setudef flag phpbb




proc ::phpbb::accept {idx} {
	control $idx ::phpbb::incoming
	putlog "$args"
}

proc ::phpbb::incoming { idx args } {
	global forumname
	putlog "$args"
	set chans 0
	foreach chan [channels] { 
		if {[channel get $chan phpbb]} {
			 incr chans 
		}
	}	
			
	set line [join $args]
	set line [split $line ";"]
		set mod     [lindex $line 0]
		set poll    [lindex $line 1]
		set poster  [lindex $line 2]
		set topic   [lindex $line 3]
		set url     [lindex $line 4]
		set forumid [lindex $line 5]	
			
		foreach chan [channels] {
			
			if {[channel get $chan phpbb]} {	
				
				if { $mod == "newtopic" } {
					if { $poll == "0" } {
						putserv "privmsg $chan :\002\00310 :\002\00304 $topic \00310(\00303$url\00310). : \00306[lindex $forumname [expr $forumid-1]]\00310. : \00302$poster\00310.\003"
					} else {
						putserv "privmsg $chan :\002\00310 :\002\00304 $topic \00310(\00303$url\00310). : \00306[lindex $forumname [expr $forumid-1]]\00310. : \00302$poster\00310.\003"
					}
				}
				
				if { $mod == "reply" } {
					if { $topic == "nosubj" } {
						putserv "privmsg $chan :\002\00310 :\002\ (\00303$url\00310). : \00306[lindex $forumname [expr $forumid-1]]\00310. : \00302$poster\00310.\003"
					} else {
						putserv "privmsg $chan :\002\00310 :\002\00304 $topic \00310(\00303$url\00310). : \00306[lindex $forumname [expr $forumid-1]]\00310. : \00302$poster\00310.\003"
					}
				}
				
			}
			
		}
				
	killdcc $idx
	
}

putlog "phpbb2egg.tcl v1.0 by Deniska <gremlin13@ms.tusur.ru> loaded."